r2d=180/pi; d2r=pi/180;
[Av2,Bv2,Cv2,Dv2]= Vehi_20flx;              % Load Flex Vehi w 20 modes
[Aa,Ba,Ca,Da]= actuator;                    % Load actuator model
zn=0.02; wn=7.4; zd=0.2; wd=7;              % Notch Filter-1 param
zn2=0.015; wn2=16.8; zd2=0.2; wd2=16;       % Notch Filter-2 param

%[Af,Bf,Cf,Df]= linmod('Actor'); sysf= SS(Af,Bf,Cf,Df);
Iy=2.163e8; T=2847000; l=113.6; 
om=0.145*6.28;                              % Control Bandwidth
wf=9;                                       % Low-Pass Cutoff
Kp=om^2*Iy/(l*T);                           % Attitude Gain
Kr=2*0.85*om*Iy/(l*T);                      % Rate Gain
[Ao,Bo,Co,Do]= linmod('OpenFlx');           % Linearize Open-Loop Simulink

sys= SS(Ao,Bo,Co,Do);                       % Create SS System
w=logspace(-1, 3, 12000);                   % Define Frequ Range
figure(1); Nichols(sys,w)                   % Plot Nichol's Chart
figure(2); Bode(sys,w)                      % Plot Bode
