r2d=180/pi;
[Ao,Bo,Co,Do]= open_loop_comb;              % Load Open-Loop Comb System
[Ac,Bc,Cc,Dc]= closed_loop_comb;            % Load Closed-Loop Comb System
sys= SS(Ao,Bo,-Co,-Do);                     % Create SS System
w=logspace(-1, 3, 12000);                   % Define Frequ Range
figure(1); Nichols(sys,w)                   % Plot Nichol's Chart
figure(2); Bode(sys,w)                      % Plot Bode
